classification
Title: Windows build file fixes
Type: compile error Stage: resolved
Components: Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: steve.dower
Priority: normal Keywords: patch

Created on 2017-09-19 23:08 by steve.dower, last changed 2017-11-04 21:45 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3900 merged steve.dower, 2017-10-05 17:58
PR 3902 merged python-dev, 2017-10-05 21:05
Messages (4)
msg302567 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-09-19 23:08
This is basically a note to myself to go and fix these things when I have time (before 3.7a2):

* split upload steps so we can fail on real failures
* fail immediately if gpg2 step fails
* purge and retry if download fails
msg302568 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-09-19 23:08
Also:

* build releases to versioned subdirectories of Py_IntDir when it is set
msg303785 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-10-05 20:35
New changeset 2084b30e540d88b9fc752c5bdcc2f24334af4f2b by Steve Dower in branch 'master':
bpo-31523: Reliability improvements to the Windows build files (#3900)
https://github.com/python/cpython/commit/2084b30e540d88b9fc752c5bdcc2f24334af4f2b
msg303786 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-10-05 21:09
New changeset 051295a8c57cc649fa5eaa43526143984a147411 by Steve Dower (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31523: Reliability improvements to the Windows build files (GH-3900) (#3902)
https://github.com/python/cpython/commit/051295a8c57cc649fa5eaa43526143984a147411
History
Date User Action Args
2017-11-04 21:45:55steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-10-05 21:09:32steve.dowersetmessages: + msg303786
2017-10-05 21:05:59python-devsetpull_requests: + pull_request3873
2017-10-05 20:35:40steve.dowersetmessages: + msg303785
2017-10-05 17:58:38steve.dowersetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request3871
2017-09-19 23:08:58steve.dowersetmessages: + msg302568
2017-09-19 23:08:17steve.dowercreate